Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Class MdmObject

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mdm.MdmObject

Direct Known Subclasses:
  MdmModel, MdmSchema, MdmSource

public abstract class MdmObject
extends BaseMetadataObject
implements oracle.olapi.internal.Copyable

An object that is accessed through an `MdmMetadataProvider` and that describes a particular set of data, such as a measure of product unit prices. This class is the basic implementation of the `MetadataObject` interface. An `MdmObject` has only the most fundamental properties, so very few specific data characteristics are associated with it. Classes that extend this class or one of its subclasses, such as `MdmSchema` and `MdmPrimaryDimension`, have characteristics that support metadata navigation and analysis.

See Also:
  `MetadataObject`

Method Summary
`abstract java.lang.Object` | `acceptVisitor(MdmObjectVisitor visitor, java.lang.Object context)` Calls a method of the specified `MdmObjectVisitor` and passes that method this `MdmObject` and the specified `context` object.
`java.lang.String` | `getDescription()` Gets a descriptive phrase for this `MdmObject`.
`MdmMetadataProvider` | `getMetadataProvider()` Gets the `MdmMetadataProvider` for this `MdmObject`.
`java.lang.String` | `getName()` Gets the name of this `MdmObject`.
`java.lang.String` | `getShortDescription()` Gets the short description for this `MdmObject`.
`void` | `setDescription(java.lang.String description)` Specifies a descriptive phrase for this `MdmObject`.
`void` | `setName(java.lang.String name)` Specifies a name for this `MdmObject`.
`void` | `setShortDescription(java.lang.String description)` Specifies a short description for this `MdmObject`.

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public abstract java.lang.Object acceptVisitor(MdmObjectVisitor visitor,
                                                   java.lang.Object context)

  Calls a method of the specified `MdmObjectVisitor` and passes that method this `MdmObject` and the specified `context` object.
  Parameters:
    `visitor` - An `MdmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by a method of the `MdmObjectVisitor`.

### getDescription

    public final java.lang.String getDescription()
                                          throws MetadataNotFoundException

  Gets a descriptive phrase for this `MdmObject`.
  Returns:
    A descriptive phrase for this `MdmObject`.

### getMetadataProvider

    public MdmMetadataProvider getMetadataProvider()

  Gets the `MdmMetadataProvider` for this `MdmObject`.
  Returns:
    The `MdmMetadataProvider` for this `MdmObject`.

### getName

    public final java.lang.String getName()
                                   throws MetadataNotFoundException

  Gets the name of this `MdmObject`.
  Returns:
    A `String` that contains the name of this `MdmObject`.

### getShortDescription

    public java.lang.String getShortDescription()
                                         throws MetadataNotFoundException

  Gets the short description for this `MdmObject`. You can use this description for display in a graphical user interface instead of the return value of the `getName` method.
  Returns:
    A `String` containing the short description of this `MdmObject`.

### setDescription

    public final void setDescription(java.lang.String description)

  Specifies a descriptive phrase for this `MdmObject`.
  Parameters:
    `description` - A `String` that contains a description for this `MdmObject`.

### setName

    public final void setName(java.lang.String name)

  Specifies a name for this `MdmObject`.
  Parameters:
    `name` - A `String` that contains a name for this `MdmObject`.

### setShortDescription

    public void setShortDescription(java.lang.String description)
                             throws MetadataNotFoundException

  Specifies a short description for this `MdmObject`. You can use this description for display in a graphical user interface instead of the return value of the `getName` method.
  Parameters:
    `description` - A `String` that contains a short description for this `MdmObject`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.